Bug 1575017 - there is no option to change or disable out_of_sync interval
Summary: there is no option to change or disable out_of_sync interval
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Ansible
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.4.0
Assignee: satellite6-bugs
QA Contact: jcallaha
URL:
Whiteboard:
Depends On:
Blocks: 1449011
TreeView+ depends on / blocked
 
Reported: 2018-05-04 14:30 UTC by Jan Hutař
Modified: 2019-11-05 23:18 UTC (History)
2 users (show)

Fixed In Version: foreman_ansible-2.1.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 19:26:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 23114 0 Normal Closed Add 'ansible_out_of_sync_disabled' setting 2020-02-07 14:33:02 UTC

Description Jan Hutař 2018-05-04 14:30:39 UTC
Description of problem:
there is no option to change or disable out_of_sync interval in Administer -> Settings -> Ansible


Version-Release number of selected component (if applicable):
satellite-6.4.0-3.beta.el7sat.noarch
rubygem-smart_proxy_ansible-2.0.2-3.el7sat.noarch
tfm-rubygem-foreman_ansible_core-2.0.2-1.el7sat.noarch
tfm-rubygem-foreman_ansible-2.0.4-1.el7sat.noarch
ansible-2.4.2.0-2.el7.noarch


How reproducible:
always


Steps to Reproduce:
1. Check Administer -> Settings -> Ansible


Actual results:
There is no option to change or disable out-of-sync interval:

Administer > Settings > Ansible tab > Ansible out of sync disabled
Administer > Settings > Ansible tab > Ansible report timeout


Expected results:
Options are there and they works

Comment 4 jcallaha 2018-05-31 15:48:50 UTC
Verified in Satellite 6.4 Snap 5.

The 'Ansible report timeout' and 'Ansible out of sync disabled' setting are both present in the Setting->Ansible tab.

See attached screenshot

Comment 5 Bryan Kearney 2018-10-16 19:26:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.